extends AnimatedSprite2D

var time = 0.0
@export var float_str = 10.0
@export var float_time = 2.0
@export var float_offset = -12.0

func _process(delta: float) -> void:
	time += delta
	position.y = sin(time * float_time) * float_str + float_offset
	queue_redraw()
